package com.tzy.common.utils.bean;


import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;

import java.util.List;

public class JSONTools {

	public static String obj2json(Object obj){
		return JSON.toJSONString(obj);
	}

	public static Object jsonStr2obj(String json){
		return JSON.parse(json);
	}

	public static <T> T  jsonStr2obj(String json,Class<T> classes){
		return JSON.parseObject(json, classes);
	}


	public static JSONObject parseObject(String json){
		return JSON.parseObject(json);
	}

	public static <T> List<T> parseObjectList(String json, Class<T> classes) {
		return JSON.parseArray(json, classes);
	}

	public static List<JSONObject> toJsonObjectList(String json) {
		return JSON.parseArray(json, JSONObject.class);
	}

}
